<?php

namespace Drupal\rabbit_hole;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface for defining Behavior settings entities.
 */
interface BehaviorSettingsInterface extends ConfigEntityInterface {

  /**
   * Set the configured action.
   *
   * @param string $action
   *   The action to save.
   */
  public function setAction($action);

  /**
   * Get the configured action.
   *
   * @return string
   *   The action id.
   */
  public function getAction();

  /**
   * Set whether to ignore bypass permissions.
   *
   * @param bool $no_bypass
   *   TRUE - ignore, FALSE - do not ignore.
   */
  public function setNoBypass(bool $no_bypass);

  /**
   * Get whether to ignore bypass permissions.
   *
   * @return bool
   *   TRUE - ignore, FALSE - do not ignore.
   */
  public function getNoBypass(): bool;

}
